org.eclipse.microprofile.metrics

## Interface Meter

All Superinterfaces:
  Counting, Metered, Metric

    public interface Meter
    extends Metered

A meter metric which measures mean throughput and one-, five-, and fifteen-minute exponentially-weighted moving average throughputs.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCount()` Returns the number of events which have been marked.
`double` `getFifteenMinuteRate()` Returns the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.
`double` `getFiveMinuteRate()` Returns the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.
`double` `getMeanRate()` Returns the mean rate at which events have occurred since the meter was created.
`double` `getOneMinuteRate()` Returns the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created.
`void` `mark()` Mark the occurrence of an event.
`void` `mark(long n)` Mark the occurrence of a given number of events.

### Method Detail

#### mark

    void mark()

Mark the occurrence of an event.

#### mark

    void mark(long n)

Mark the occurrence of a given number of events.

Parameters:
  `n` - the number of events

#### getCount

    long getCount()

Description copied from interface: `Metered`
Returns the number of events which have been marked.

Specified by:
  `getCount` in interface `Counting`
Specified by:
  `getCount` in interface `Metered`
Returns:
  the number of events which have been marked

#### getFifteenMinuteRate

    double getFifteenMinuteRate()

Description copied from interface: `Metered`
Returns the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the fifteen-minute load average in the `top` Unix command.

Specified by:
  `getFifteenMinuteRate` in interface `Metered`
Returns:
  the fifteen-minute exponentially-weighted moving average rate at which events have occurred since the meter was created

#### getFiveMinuteRate

    double getFiveMinuteRate()

Description copied from interface: `Metered`
Returns the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the five-minute load average in the `top` Unix command.

Specified by:
  `getFiveMinuteRate` in interface `Metered`
Returns:
  the five-minute exponentially-weighted moving average rate at which events have occurred since the meter was created

#### getMeanRate

    double getMeanRate()

Description copied from interface: `Metered`
Returns the mean rate at which events have occurred since the meter was created.

Specified by:
  `getMeanRate` in interface `Metered`
Returns:
  the mean rate at which events have occurred since the meter was created

#### getOneMinuteRate

    double getOneMinuteRate()

Description copied from interface: `Metered`
Returns the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created. This rate has the same exponential decay factor as the one-minute load average in the `top` Unix command.

Specified by:
  `getOneMinuteRate` in interface `Metered`
Returns:
  the one-minute exponentially-weighted moving average rate at which events have occurred since the meter was created